Subject: bug#60520: closed (Re: bug#60520: [PATCH 0/4] Tests for 'guix refresh')

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jan 2023 15:17:02 +0000

Your bug report

#60520: [PATCH 0/4] Tests for 'guix refresh'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60520: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60520
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60520: [PATCH 0/4] Tests for 'guix refresh'
From: Ludovic Courtès <[email-masked]>
To: Hartmut Goebel <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Sun, 08 Jan 2023 16:16:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Hartmut Goebel <[email-masked]> skribis:

> Two mini remarks:
>
> +IFS=X
>
> What about using a symbol like underscore?
>
> + "guileX-r" \
>
> For symetry I'd write "-r guile".

Good ideas.  I made those changes and pushed:

  04f247be81 * refresh: Add CLI tests.
  2e9c0e1ff6 * import: stackage: Catch networking errors in predicate.
  472dd29f37 * gnu-maintenance: 'gnu' and 'gnu-ftp' predicates catch networking errors.
  f3edf29c67 * gnu-maintenance: Factorize 'false-if-networking-failure'.

Thanks,
Ludo’.

Subject: [PATCH 0/4] Tests for 'guix refresh'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Tue, 3 Jan 2023 17:44:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Following the discussion at
<https://lists.gnu.org/archive/html/guix-devel/2022-12/msg00311.html>,
I thought it’s about time to have tests for the ‘guix refresh’ CLI
(so far we had tests for importers, for (guix gnu-maintenance), and
for (guix upstream), but that did not cover the logic in ‘guix refresh’
itself as we’ve seen).

The strategy is to define a “pseudo updater”: the test defines an
environment variable that specifies which package updates the updater
should simulate, and then we go on using ‘guix refresh’.

Thoughts?

Ludo’.

Ludovic Courtès (4):
  gnu-maintenance: Factorize 'false-if-networking-failure'.
  gnu-maintenance: 'gnu' and 'gnu-ftp' predicates catch networking
    errors.
  import: stackage: Catch networking errors in predicate.
  refresh: Add CLI tests.

 Makefile.am              |   4 +-
 guix/gnu-maintenance.scm |  31 ++++-------
 guix/import/stackage.scm |  15 ++---
 guix/import/test.scm     |  88 +++++++++++++++++++++++++++++
 guix/import/utils.scm    |  24 +++++++-
 tests/guix-refresh.sh    | 117 +++++++++++++++++++++++++++++++++++++++
 6 files changed, 251 insertions(+), 28 deletions(-)
 create mode 100644 guix/import/test.scm
 create mode 100644 tests/guix-refresh.sh

base-commit: 473692b812b4ab4267d9bddad0fb27787d2112ff
-- 
2.38.1